Summary: RHEL-4 Yum configuration. 
Name: redhat-yumconf
Version: 4 
Release: 4.7.el4 
Copyright: GPL
Group: System Environment/Base
Source0: CentOS-Base.repo
Source1: RHEL-Base.repo
NoSource: 1
BuildArch: noarch
BuildRoot: %{_tmppath}/redhat-yumconf-root
Provides: yumconf
Conflicts: centos-release

%description
Repo files for yum on RHEL 4

#%prep

#%build

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
cp -f %{SOURCE0} $RPM_BUILD_ROOT/etc/yum.repos.d
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root)
%config(noreplace) /etc/yum.repos.d/CentOS-Base.repo
%config(noreplace) /etc/yum.repos.d/RHEL-Base.repo

%changelog
* Wed Nov 15 2006 Matthew Hyclak <hyclak@math.ohiou.edu> 4-4.7.el4
- Remove Obsoletes: centos-release; otherwise it will try to install on a
  CentOS box

* Mon Nov 13 2006 Matthew Hyclak <hyclak@math.ohiou.edu> 4-4.6.el4
- Modified for use with RHEL 4

* Thu Feb 16 2006 Johnny Hughes <johnny@centos.org> 4-4.5
- Modified after an update system redesign to use port 80
  instead of 81 for mirrorlist.centos.org.
 
* Sun Feb 12 2006 Johnny Hughes <johnny@centos.org> 4-4.4
- Modifed the CentOS-Base.repo file to use the new CentOS.org
  mirrorlist mirror structure.

* Sun Sep  4 2005 Johnny Hughes <johnny@centos.org>
- Changed to allow the import of the CentOS-4 gpg key
  (by default, it will ask to import the base key)

* Mon Mar  7 2005 Johnny Hughes <johnny@centos.org>
- Changed to not over write a modified CentOS-Base.repo
- Changed misspelling for the contribs directory

* Fri Feb 25 2005 Johnny Hughes <johnny@centos.org>
- Initial build CentOS 4
